Bug 18708 - Show itemBarcodeFallbackSearch results in a modal window
Summary: Show itemBarcodeFallbackSearch results in a modal window
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18912
  Show dependency treegraph
 
Reported: 2017-05-31 14:23 UTC by Owen Leonard
Modified: 2017-10-10 09:14 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18708 - Show itemBarcodeFallbackSearch results in a modal window (9.71 KB, patch)
2017-05-31 14:56 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 18708 [Revised] Show itemBarcodeFallbackSearch results in a modal window (9.71 KB, patch)
2017-06-01 12:27 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18708 [Revised] Show itemBarcodeFallbackSearch results in a modal window (9.78 KB, patch)
2017-06-02 05:17 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18708 [Revised] Show itemBarcodeFallbackSearch results in a modal window (9.84 KB, patch)
2017-07-09 15:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18708 [Revised] Show itemBarcodeFallbackSearch results in a modal window (9.88 KB, patch)
2017-09-01 16:31 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-05-31 14:23:58 UTC
I propose to modify the template's handling of itemBarcodeFallbackSearch results so that they are displayed in a modal window.
Comment 1 Owen Leonard 2017-05-31 14:56:19 UTC Comment hidden (obsolete)
Comment 2 Josef Moravec 2017-05-31 20:44:12 UTC
There is remaining text "The following items were found by searching" under the dialog, when modal is dismissed, see:

http://www.s3blog.org/screengrab/images.html?id=db33f62a858be5568abef965d5528356

but otherwise it is working nice and looks awesome ;)
Comment 3 Owen Leonard 2017-06-01 12:27:50 UTC
Created attachment 63896 [details] [review]
Bug 18708 [Revised] Show itemBarcodeFallbackSearch results in a modal window

This patch modifies the circulation template so that
itemBarcodeFallbackSearch results show in a modal window.

To test, enable the itemBarcodeFallbackSearch system preference and open
a patron's account in circulation.

- Submit a string which will return search results. When the page
  reloads a modal should display showing a table of title search
  results.
  - Test the "Check out" button and confirm that the correct item is
    submitted.
  - Test closing the modal and re-displaying it using the new "Show
    matching titles" button.
  - Confirm that the "Add record using fast cataloging" button still
    works correctly.
- Submit a string which will return no results. No modal window should
  display, and only the "Add record" button should appear.
- Confirm that normal checkout works correctly.
- Test with itemBarcodeFallbackSearch disabled, and with a user who
  lacks Fast Cataloging permission.

Revision removes a heading which was made redundant by the modal markup.
Comment 4 Josef Moravec 2017-06-02 05:17:31 UTC
Created attachment 63907 [details] [review]
[SIGNED-OFF] Bug 18708 [Revised] Show itemBarcodeFallbackSearch results in a modal window

This patch modifies the circulation template so that
itemBarcodeFallbackSearch results show in a modal window.

To test, enable the itemBarcodeFallbackSearch system preference and open
a patron's account in circulation.

- Submit a string which will return search results. When the page
  reloads a modal should display showing a table of title search
  results.
  - Test the "Check out" button and confirm that the correct item is
    submitted.
  - Test closing the modal and re-displaying it using the new "Show
    matching titles" button.
  - Confirm that the "Add record using fast cataloging" button still
    works correctly.
- Submit a string which will return no results. No modal window should
  display, and only the "Add record" button should appear.
- Confirm that normal checkout works correctly.
- Test with itemBarcodeFallbackSearch disabled, and with a user who
  lacks Fast Cataloging permission.

Revision removes a heading which was made redundant by the modal markup.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 5 Katrin Fischer 2017-07-09 15:37:36 UTC
Created attachment 64934 [details] [review]
[SIGNED OFF] Bug 18708 [Revised] Show itemBarcodeFallbackSearch results in a modal window

This patch modifies the circulation template so that
itemBarcodeFallbackSearch results show in a modal window.

To test, enable the itemBarcodeFallbackSearch system preference and open
a patron's account in circulation.

- Submit a string which will return search results. When the page
  reloads a modal should display showing a table of title search
  results.
  - Test the "Check out" button and confirm that the correct item is
    submitted.
  - Test closing the modal and re-displaying it using the new "Show
    matching titles" button.
  - Confirm that the "Add record using fast cataloging" button still
    works correctly.
- Submit a string which will return no results. No modal window should
  display, and only the "Add record" button should appear.
- Confirm that normal checkout works correctly.
- Test with itemBarcodeFallbackSearch disabled, and with a user who
  lacks Fast Cataloging permission.

Revision removes a heading which was made redundant by the modal markup.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2017-07-09 15:49:16 UTC
Added another sign-off and filed bug 18912 as depending as this should go in first.
Comment 7 Katrin Fischer 2017-07-09 15:50:05 UTC
...blocking... hope you know what I mean :)
Comment 8 Kyle M Hall 2017-09-01 16:31:36 UTC
Created attachment 66762 [details] [review]
Bug 18708 [Revised] Show itemBarcodeFallbackSearch results in a modal window

This patch modifies the circulation template so that
itemBarcodeFallbackSearch results show in a modal window.

To test, enable the itemBarcodeFallbackSearch system preference and open
a patron's account in circulation.

- Submit a string which will return search results. When the page
  reloads a modal should display showing a table of title search
  results.
  - Test the "Check out" button and confirm that the correct item is
    submitted.
  - Test closing the modal and re-displaying it using the new "Show
    matching titles" button.
  - Confirm that the "Add record using fast cataloging" button still
    works correctly.
- Submit a string which will return no results. No modal window should
  display, and only the "Add record" button should appear.
- Confirm that normal checkout works correctly.
- Test with itemBarcodeFallbackSearch disabled, and with a user who
  lacks Fast Cataloging permission.

Revision removes a heading which was made redundant by the modal markup.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 9 Jonathan Druart 2017-09-01 20:13:33 UTC
The modal is a bit too wide when the title is short, but not blocker.
Comment 10 Jonathan Druart 2017-09-01 20:19:53 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 11 Fridolin SOMERS 2017-10-10 09:14:59 UTC
Enhancement not pushed to 17.05.x